/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.common.db.Pagination;
import net.northking.cctp.common.http.QueryByPage;
import net.northking.cctp.device.db.entity.CdMobileDevice;
import net.northking.cctp.device.dto.device.*;

import java.util.List;

public interface CdMobileDeviceService extends BasicService<CdMobileDevice>
{

    Pagination<CdMobileDeviceDetailDto> queryPages(QueryByPage<CdMobileDeviceQueryDto> queryByPage);


    Pagination<ScriptResultDto> queryDeviceByPro(QueryByPage<CdMobileDeviceScriptDto> queryByPage);

    List<CdMobileDevice> queryDeviceList(List<String> ids);

    List<CdMobileDevice> queryRestartList(List<String> ids);

    List<String> queryCtrlIds(List<String> ids);

    void updateCtrlByDevice(List<String> ids,String ctrlId);

    Pagination<ScriptResultDto> queryDeviceByPro2(QueryByPage<CdMobileDeviceScriptDto2> queryByPage);

    List<CdMobileDevice> queryMobileDeviceList(List<String> ids);
}
